from flask import render_template, flash, redirect, url_for, request
from flask_login import login_user, logout_user, current_user, login_required
from werkzeug.urls import url_parse
from app import app, db
from app.forms import LoginForm, RegistrationForm
from app.models import User


@app.route('/',  methods=['GET', 'POST'])
def index():

	form = LoginForm()
	flash('pseudo ou mot de passe invalide', 'error')
	flash('tout ça c\'est ok !', 'ok')
	flash('mais ça non', 'error')
	if form.validate_on_submit():
		user = User.query.filter_by(username=form.username.data).first()
		if user is None or not user.check_password(form.password.data):
			flash('pseudo ou mot de passe invalide')
			return redirect(url_for('index'))
		login_user(user, remember=form.remember_me.data)

	return render_template('index.html', form=form)


@app.route('/logout/')
def logout():
	logout_user()
	return redirect(url_for('index'))


@app.route('/register', methods=['GET', 'POST'])
def register():
	if current_user.is_authenticated:
		return redirect(url_for('index'))
	form = LoginForm()
	form2 = RegistrationForm()
	if form2.validate_on_submit():
		user = User(username=form2.username.data, email=form2.email.data)
		user.set_password(form2.password.data)
		db.session.add(user)
		db.session.commit()
		flash('Congratulations, you are now a registered user!')
		return redirect(url_for('validation'))
	return render_template('register.html', title='Register', form=form, form2 = form2)




@app.route('/register/validation/')
def validation():
	if current_user.is_authenticated :
		return redirect(url_for('index'))
	form = LoginForm()
	return render_template('validation.html', form = form)
